GFS_ACL_SET_PERMSET(3)

NAME
gfs_acl_set_permset - set the permission set in a Gfarm ACL entry

SYNOPSIS

#include <gfarm/gfarm.h>

gfarm_error_t gfs_acl_set_permset(gfarm_acl_entry_t entry_d, gfarm_acl_permset_t permset_d);

INPUT ARGUMENTS

entry_d
    An ACL entry descriptor.

permset_d
    An ACL permission set.

RETURN VALUES

GFARM_ERR_NO_ERROR
    The function terminated successfully.

Others
    An error except the above occurred. The reason is shown by gfarm_error_string(3).

SEE ALSO

gfs_acl_add_perm(3), gfs_acl_clear_perms(3), gfs_acl_delete_perm(3), gfs_acl_get_perm(3), gfs_acl_get_qualifier(3), gfs_acl_set_qualifier(3), gfs_acl_get_tag_type(3), gfs_acl_set_tag_type(3), gfs_acl_get_permset(3)